Subject: bug#13321: 24.3.0.50; Gmail error when replying from Gnus to github

From: Thierry Volpiatto <[email-masked]>
Date: Thu, 21 Feb 2013 17:53:00 +0100

Hi Lars,

Thierry Volpiatto <[email-masked]> writes:

> Hi Lars,
>
> Thierry Volpiatto <[email-masked]> writes:
>
> I have isolated the problem to message.el, so when I load the message.el
> of emacs-24 branch the problem disapear.
> I will try to (re)diff the file to found out what is wrong there.
> Perhaps you can have a look on your side too ?

So the problem comes from `message-get-reply-headers', more exactly this
piece of code:

--8<---------------cut here---------------start------------->8---
      ;; Make sure this message goes to the author if this is a wide
      ;; reply, since Reply-To address may be a list address a mailing
      ;; list server added.
      (when (and wide author)
	(setq cc (concat author ", " cc)))
      (when (or wide (not author))
	(setq author (or (message-fetch-field "from") ""))))
--8<---------------cut here---------------end--------------->8---

In our case the "from" field contain "[email-masked]" which is
the place where we should never reply.

-- 
Thierry
Get my Gnupg key:
gpg --keyserver pgp.mit.edu --recv-keys 59F29997